import type { HideErrorPropType, IdPropType, InputRadioAPI, InputRadioStates, InputTypeOnDefault, LabelWithExpertSlotPropType, NamePropType, OptionsPropType, Orientation, StencilUnknown, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType, W3CInputValue } from '@public-ui/schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolInputRadio implements InputRadioAPI {
    private readonly host?;
    private currentValue?;
    private readonly catchRef;
    getValue(): Promise<W3CInputValue | undefined>;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _disabled?: boolean;
    _error?: string;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _options?: OptionsPropType;
    _orientation?: Orientation;
    _required?: boolean;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: Stringified<W3CInputValue>;
    state: InputRadioStates;
    constructor();
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideLabel(value?: boolean): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHint(value?: string): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateOptions(value?: OptionsPropType): void;
    validateOrientation(value?: Orientation): void;
    validateRequired(value?: boolean): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: Stringified<StencilUnknown>): void;
    componentWillLoad(): void;
    private onChange;
}
